import { z } from "zod";

export const schema = z.object({
    _id: z.string(),
    uuid: z.string(),
    buildId: z.string(),
    addressGovCode: z.string(),
    no: z.number(),
    level: z.number(),
    code: z.string(),
    grossSize: z.number(),
    netSize: z.number(),
    defaultAccessory: z.string(),
    humanLivability: z.boolean(),
    key: z.string(),
    directionId: z.string().optional(),
    typeId: z.string().optional(),
    createdAt: z.string(),
    updatedAt: z.string(),
    expiryStarts: z.string(),
    expiryEnds: z.string(),
    active: z.boolean(),
    isConfirmed: z.boolean(),
});

export type schemaType = z.infer<typeof schema>;
